#define IN_STG_CODE 0
#include "Rts.h"
#include "Stg.h"
#ifdef __cplusplus
extern "C" {
#endif
 
void SystemziConsoleziReadline_d2k4(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsInt32 a3)
{
Capability *cap;
HaskellObj ret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2)),rts_mkInt32(cap,a3))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2k4",cap);
rts_unlock(cap);
}
 
HsInt32 SystemziConsoleziReadline_d2kv(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1)
{
Capability *cap;
HaskellObj ret;
HsInt32 cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2kv",cap);
cret=rts_getInt32(ret);
rts_unlock(cap);
return cret;
}
 
HsInt32 SystemziConsoleziReadline_d2kE(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1)
{
Capability *cap;
HaskellObj ret;
HsInt32 cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2kE",cap);
cret=rts_getInt32(ret);
rts_unlock(cap);
return cret;
}
 
HsInt32 SystemziConsoleziReadline_d2kN(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2)
{
Capability *cap;
HaskellObj ret;
HsInt32 cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2kN",cap);
cret=rts_getInt32(ret);
rts_unlock(cap);
return cret;
}
 
HsPtr SystemziConsoleziReadline_d2kW(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2)
{
Capability *cap;
HaskellObj ret;
HsPtr cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2kW",cap);
cret=rts_getPtr(ret);
rts_unlock(cap);
return cret;
}
 
HsPtr SystemziConsoleziReadline_d2lm(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsPtr a3)
{
Capability *cap;
HaskellObj ret;
HsPtr cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2)),rts_mkPtr(cap,a3))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2lm",cap);
cret=rts_getPtr(ret);
rts_unlock(cap);
return cret;
}
 
HsPtr SystemziConsoleziReadline_d2lv(StgStablePtr the_stableptr, void* original_return_addr)
{
Capability *cap;
HaskellObj ret;
HsPtr cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,(StgClosure*)deRefStablePtr(the_stableptr)) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2lv",cap);
cret=rts_getPtr(ret);
rts_unlock(cap);
return cret;
}
 
HsPtr SystemziConsoleziReadline_d2lE(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsInt32 a3)
{
Capability *cap;
HaskellObj ret;
HsPtr cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2)),rts_mkInt32(cap,a3))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2lE",cap);
cret=rts_getPtr(ret);
rts_unlock(cap);
return cret;
}
 
HsPtr SystemziConsoleziReadline_d2lN(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2)
{
Capability *cap;
HaskellObj ret;
HsPtr cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1)),rts_mkInt32(cap,a2))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2lN",cap);
cret=rts_getPtr(ret);
rts_unlock(cap);
return cret;
}
 
void SystemziConsoleziReadline_d2nQ(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1)
{
Capability *cap;
HaskellObj ret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkPtr(cap,a1))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2nQ",cap);
rts_unlock(cap);
}
 
HsInt32 SystemziConsoleziReadline_d2r2(StgStablePtr the_stableptr, void* original_return_addr, HsInt32 a1, HsInt32 a2)
{
Capability *cap;
HaskellObj ret;
HsInt32 cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,rts_apply(cap,rts_apply(cap,(StgClosure*)deRefStablePtr(the_stableptr),rts_mkInt32(cap,a1)),rts_mkInt32(cap,a2))) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2r2",cap);
cret=rts_getInt32(ret);
rts_unlock(cap);
return cret;
}
 
void SystemziConsoleziReadline_d2ui(StgStablePtr the_stableptr, void* original_return_addr)
{
Capability *cap;
HaskellObj ret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,(StgClosure*)deRefStablePtr(the_stableptr)) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2ui",cap);
rts_unlock(cap);
}
 
HsInt32 SystemziConsoleziReadline_d2ur(StgStablePtr the_stableptr, void* original_return_addr)
{
Capability *cap;
HaskellObj ret;
HsInt32 cret;
cap = rts_lock();
cap=rts_evalIO(cap,rts_apply(cap,(HaskellObj)runIO_closure,(StgClosure*)deRefStablePtr(the_stableptr)) ,&ret);
rts_checkSchedStatus("SystemziConsoleziReadline_d2ur",cap);
cret=rts_getInt32(ret);
rts_unlock(cap);
return cret;
}
#ifdef __cplusplus
}
#endif

